Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
yaml_tag_directive_s Struct Reference
Basic Types

The tag directive data. More...

`#include <yaml.h>`

## Data Fields
yaml_char_t * | handle
| The tag handle. More...
yaml_char_t * | prefix
| The tag prefix. More...

## Detailed Description

The tag directive data.

Definition at line 89 of file yaml.h.

## Field Documentation

yaml_char_t* yaml_tag_directive_s::handle

The tag handle.

Definition at line 91 of file yaml.h.

Referenced by parse(), start_document(), yaml_document_delete(), yaml_document_initialize(), yaml_document_start_event_initialize(), yaml_emitter_analyze_tag(), yaml_emitter_analyze_tag_directive(), yaml_emitter_append_tag_directive(), yaml_emitter_delete(), yaml_emitter_emit_document_end(), yaml_emitter_emit_document_start(), yaml_event_delete(), yaml_parser_append_tag_directive(), yaml_parser_delete(), yaml_parser_parse_document_end(), yaml_parser_parse_node(), and yaml_parser_process_directives().

yaml_char_t* yaml_tag_directive_s::prefix

The tag prefix.

Definition at line 93 of file yaml.h.

Referenced by parse(), start_document(), yaml_document_delete(), yaml_document_initialize(), yaml_document_start_event_initialize(), yaml_emitter_analyze_tag(), yaml_emitter_analyze_tag_directive(), yaml_emitter_append_tag_directive(), yaml_emitter_delete(), yaml_emitter_emit_document_end(), yaml_emitter_emit_document_start(), yaml_event_delete(), yaml_parser_append_tag_directive(), yaml_parser_delete(), yaml_parser_parse_document_end(), yaml_parser_parse_node(), and yaml_parser_process_directives().

The documentation for this struct was generated from the following file:

- ext/psych/yaml/yaml.h